Debian Bug report logs - #734262
ITP: xmds2 -- eXtensible Multi-Dimensional Simulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rafael Laboissiere <rafael@laboissiere.net>

Date: Sun, 5 Jan 2014 11:00:01 UTC

Owned by: Rafael Laboissiere <rafael@laboissiere.net>

Severity: wishlist

Fixed in version xmds2/2.1.4-1

Done: Rafael Laboissiere <rafael@laboissiere.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#734262; Package wnpp. (Sun, 05 Jan 2014 11:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 05 Jan 2014 11:00:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-science@lists.debian.org
Subject: ITP: xmds2 -- eXtensible Multi-Dimensional Simulator
Date: Sun, 5 Jan 2014 11:58:34 +0100
Package: wnpp
Severity: wishlist
Owner: Rafael Laboissiere <rafael@laboissiere.net>

 * Package name    : xmds2
   Version         : 2.1.4
   Upstream Author : Graham Dennis, Andy Ferris, Joe Hope, Michael
                     Hush, Mattias Johnsson, and Gabriel McManus
                     <xmds-devel@lists.sourceforge.net>
 * URL             : http://www.xmds.org/
 * License         : GPL2
   Programming Lang: Python
   Description     : eXtensible Multi-Dimensional Simulator

XMDS is a code generator that integrates equations, from Ordinary 
Differential Equations (ODEs) up to stochastic Partial Differential 
Equations (PDEs). You write them down in human readable form in an XML 
file, and it goes away and writes and compiles a C++ program that 
integrates those equations as fast as it can possibly be done in your 
architecture.

XMDS 2 is a major upgrade rewritten in Python which is faster and far 
more versatile than previous versions, allowing the efficient 
integration of almost any initial value problem on regular domains.

Note that a xmds package exists in Debian for version 1. The upstream 
authors renamed the program to xmds2 in order to allow the co-existence 
of both versions in the system.  They did that because the format of the 
*.xmds files changed in version 2 and there still may be users around who 
need version 1.  The issue of having both versions packaged in Debian has 
been discussed in the debian-science mailing list: 
https://lists.debian.org/debian-science/2014/01/msg00005.html

BTW, the maintainer of the xmds2 package will be the Debian Science Team.

A preliminary version of the Debian package can be built with 
git-buildpackage from the Git repository at: 
git://anonscm.debian.org/debian-science/packages/xmds2.git




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 09 Jan 2014 07:06:13 GMT) Full text and rfc822 format available.

Reply sent to Rafael Laboissiere <rafael@laboissiere.net>:
You have taken responsibility. (Thu, 23 Jan 2014 13:03:09 GMT) Full text and rfc822 format available.

Notification sent to Rafael Laboissiere <rafael@laboissiere.net>:
Bug acknowledged by developer. (Thu, 23 Jan 2014 13:03:09 GMT) Full text and rfc822 format available.

Message #12 received at 734262-close@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: 734262-close@bugs.debian.org
Subject: Bug#734262: fixed in xmds2 2.1.4-1
Date: Thu, 23 Jan 2014 13:00:06 +0000
Source: xmds2
Source-Version: 2.1.4-1

We believe that the bug you reported is fixed in the latest version of
xmds2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 734262@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Rafael Laboissiere <rafael@laboissiere.net> (supplier of updated xmds2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 08 Jan 2014 10:17:41 +0100
Source: xmds2
Binary: xmds2
Architecture: source all
Version: 2.1.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Rafael Laboissiere <rafael@laboissiere.net>
Description: 
 xmds2      - eXtensible Multi-Dimensional Simulator
Closes: 597014 734262
Changes: 
 xmds2 (2.1.4-1) unstable; urgency=low
 .
   [ Rafael Laboissiere ]
   * Initial version for Debian (Closes: #597014, #734262)
   * debian/source/format: 3.0 (quilt)
   * debian/control:
     + Add mandatory build-dependency on python
     + Declare package to be architecture-independent
     + Drop unused build-dependency on cdbs
     + Drop useless dependencies on python-markdown
     + Drop ${shlibs:Depends} (this is an arch:all package)
     + Bump Standards-Version to 3.9.5
     + Declare the Debian Science Team as the maintainer
     + Use XS-Python-Version instead of deprecated XB-Python-Version
     + Drop duplicated dependency on python-pyparsing
     + Set Section to "science" and Priority to "extra"
     + Add Vcs-{Git,Browser} fields
     + Add paragraph to the Description field about the differences to xmds v1
     + Add dependency to libfftw3-mpi-dev and libgsl0-dev
     + Replace dependencies on mpich2 by mpi-default-{dev,bin}
     + Build-depend on all run-time dependencies, such that the unit test
       suite works
     + Add my name to the list of Uploaders
   * debian/rules:
     + Remove the build directory in the clean rule
     + Run the lorenz.xmds example as unit test
     + Run the unit test suite run_tests.py
   * debian/watch: Add file for uscan
   * Bump the debhelper compatibility level to 9
   * debian/copyright:
     + DEP-5-compliant
     + Add licenses for third-party software (waf, dSFMT, and Solirte)
   * debian/docs: Drop the COPYRIGHT file (redundant with debian/copyright)
   * New patch interpreter-name-in-shebang.patch
   * New patch operator-bashism.patch
   * New patch drop-dependency-on-sphinx.patch
   * New patch string-quote-in-run-tests.patch
 .
   [ Andreas Tille ]
   * debian/control: Priority: optional
   * cme fix dpkg-copyright
Checksums-Sha1: 
 87279eecb61445785021ab9cf67599865bf78a43 1540 xmds2_2.1.4-1.dsc
 e9b94a64bef2d64bdb9567a6ae81983572d7dde6 39242982 xmds2_2.1.4.orig.tar.gz
 09a4903044ae68ddfbe33658a0f3d93700e4aabc 5283 xmds2_2.1.4-1.debian.tar.gz
 f0cc696e32e22d93f813b8799259b1d7f0b9bf84 749582 xmds2_2.1.4-1_all.deb
Checksums-Sha256: 
 55056236c6a6336f09d32d8df89976eda7c2de7089d4da6ef1798c30761a6ec9 1540 xmds2_2.1.4-1.dsc
 2d639aec17b9bb84d5f8dc86865780848f72c73691d3f8cc4b51ce6e28778522 39242982 xmds2_2.1.4.orig.tar.gz
 f4ca6db17a0c6fdfdb865102f2aeab8891054c9cdbd08e63c32cd6611949a324 5283 xmds2_2.1.4-1.debian.tar.gz
 25d773ed3d1f164042830c3a9befe3f454214941f11e421349cda5a8d11ccaf5 749582 xmds2_2.1.4-1_all.deb
Files: 
 05e82082f82554e42e6ceb786ee0eefd 1540 science optional xmds2_2.1.4-1.dsc
 dd80972eb55f1b64d66b4edf25a55a74 39242982 science optional xmds2_2.1.4.orig.tar.gz
 1b55a978cd372e7d3e4a193881193688 5283 science optional xmds2_2.1.4-1.debian.tar.gz
 18d01b1ea0d4273da0cff178853ee41e 749582 science optional xmds2_2.1.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iEYEARECAAYFAlLNt8MACgkQYDBbMcCf01pHlwCggjKuuZHSrZIfxHVB8wWEw+Aj
dOIAoLut6Exfzfe81ZWYE+ABqq0r3NIv
=3A3X
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Feb 2014 07:32:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:39:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.